## ros-noetic-schunk-svh-driver 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(schunk_svh_driver)

find_package(catkin REQUIRED COMPONENTS
    actionlib
    combined_robot_hw
    controller_manager
    dynamic_reconfigure
    hardware_interface
    joint_limits_interface
    pluginlib
    roscpp
    rospy
    schunk_svh_description
    schunk_svh_msgs
    sensor_msgs
    std_msgs
)

## System dependencies are found with CMake's conventions
find_package(schunk_svh_library REQUIRED)

catkin_python_setup()

#dynamic reconfigure files
generate_dynamic_reconfigure_options(
  cfg/svh.cfg
)


###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES svh_robot_hw svh_ros
  CATKIN_DEPENDS
    actionlib
    combined_robot_hw
    controller_manager
    dynamic_reconfigure
    hardware_interface
    joint_limits_interface
    pluginlib
    roscpp
    rospy
    schunk_svh_description
    schunk_svh_msgs
    sensor_msgs
    std_msgs
  DEPENDS
    schunk_svh_library
)

###########
## Build ##
###########

# mesh file generations
# iterate through all the stl files to:
#  1. convert to *.iv files
#  2. generate convex decomposed .stl


install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)



## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${driver_svh_INCLUDE_DIRS}
)

## ROSControl
add_library(svh_ros
  src/DynamicParameterClass.cpp
  src/ROSLogHandler.cpp
  src/SVHDiagnostics.cpp
  src/SVHWrapper.cpp
)

add_dependencies(svh_ros
  ${catkin_EXPORTED_TARGETS}
  ${schunk_svh_driver_EXPORTED_TARGETS}
)


## Specify libraries to link a library or executable target against
target_link_libraries(svh_ros
  ${catkin_LIBRARIES}
  Schunk::svh-library
)

add_library(svh_robot_hw
  src/SVHRosControlHWInterface.cpp
)
add_dependencies(svh_robot_hw
  svh_ros
  ${catkin_EXPORTED_TARGETS}
  ${schunk_svh_driver_EXPORTED_TARGETS}
)
target_link_libraries(svh_robot_hw
  svh_ros
  ${catkin_LIBRARIES}
)

add_executable(svh_ros_control_node
  src/ROSLogHandler.cpp
  src/svh_ros_control_node.cpp
)
add_dependencies(svh_ros_control_node
  svh_ros
  svh_robot_hw
  ${schunk_svh_driver_EXPORTED_TARGETS}
)

## Specify libraries to link a library or executable target against
target_link_libraries(svh_ros_control_node
  svh_ros
  svh_robot_hw
  ${catkin_LIBRARIES}
)

## DynamicParametersTest ##

add_executable(svh_dynamic_parameter_test
  src/DynamicParameterClass.cpp
  src/DynamicParameterTest.cpp
  src/ROSLogHandler.cpp
)

add_dependencies(svh_dynamic_parameter_test
  ${schunk_svh_driver_EXPORTED_TARGETS}
)

## Specify libraries to link a library or executable target against
target_link_libraries(svh_dynamic_parameter_test
 ${catkin_LIBRARIES}
 Schunk::svh-library
)


#############
## Install ##
#############

# Install scripts
install(PROGRAMS
  src/rqt_svh_reset_gui/svh_reset_gui.py
  udev/create_udev_rules
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install targets of libs and executables
install(
  TARGETS
    svh_robot_hw
    svh_ros
    svh_ros_control_node
    svh_dynamic_parameter_test
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install the headers
install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install config files
install(DIRECTORY cfg etc resource udev
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Install individual files
install(
  FILES
    plugin.xml
    robot_hw_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-schunk-svh-driver (0.1.2-1buster) buster; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 04 Jan 2023 23:00:00 -0000

ros-noetic-schunk-svh-driver (0.1.1-1buster) buster; urgency=high

  * Update the plugin to mimic joints
    The new plugin is now maintained
    here <https://github.com/roboticsgroup/roboticsgroup_upatras_gazebo_plugins>.
    Also add suitable PID gains for the mimicked joints.
  * Add PID gains for Gazebo
    We now have stable joint position control.
  * Use a gazebo-specific controllers file
    We'll probably need a specifically tweaked set of PID gains for
    Gazebo. The default position controllers are not stable.
  * Add a minimal Gazebo example
  * Remove unused launch parameters
  * Add missing install for the dynamic parameter test
  * Remove unused simulation parameter from launch
    That's no longer supported.
  * Add joint_state_controller as run dependency
  * Run-depend on joint_trajectory_controller
    We need this thing for joint actuation in the examples.
  * Merge branch 'fix-license-typo' into 'update-and-upgrade'
    Fix typo in license notice
    See merge request ros/schunk_svh_driver!26
  * Fix typo in license notice
  * Merge branch 'update-license-ros1' into 'update-and-upgrade'
    Switch license to the GPLv3
    See merge request ros/schunk_svh_driver!23
  * Apply clang-format through pre-commit hook
  * Add license notice to all development files
    The text is in accordance with the recommendations from
    here <https://www.gnu.org/licenses/gpl-howto.html>
    in the section *The license notices*.
  * Remove old license texts
  * Update SPDX license indicator in package.xml
    This is according to
    here <https://www.gnu.org/licenses/identify-licenses-clearly.html>.
  * Support left and right hands through launch parameters
    We now load the correct ROS-control configuration depending on whether
    users start a right_hand or a left_hand.
    This is also passed to the URDF robot description.
  * Update top-level readme
    Also add lightweight readmes for each sub package.
  * Merge branch 'meta-package' into 'update-and-upgrade'
    Meta package
    See merge request ros/schunk_svh_driver!20
  * Fix installs
  * Use the new schunk_svh_msgs package
  * Start making this a meta package
    We move everything into an equally called sub package.
    This should maintain our Git history.
  * Contributors: Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 19 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-schunk-svh-driver
Section: misc
Priority: optional
Maintainer: Stefan Scherzinger <scherzin@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-combined-robot-hw, ros-noetic-controller-manager, ros-noetic-dynamic-reconfigure, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-schunk-svh-description, ros-noetic-schunk-svh-library, ros-noetic-schunk-svh-msgs, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://www.ros.org/wiki/schunk_svh_driver
Standards-Version: 3.9.2

Package: ros-noetic-schunk-svh-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-actionlib, ros-noetic-combined-robot-hw, ros-noetic-controller-manager, ros-noetic-dynamic-reconfigure, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-joint-state-controller, ros-noetic-joint-state-publisher, ros-noetic-joint-trajectory-controller, ros-noetic-pluginlib, ros-noetic-python-qt-binding, ros-noetic-qt-gui, ros-noetic-robot-state-publisher, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-schunk-svh-description, ros-noetic-schunk-svh-library, ros-noetic-schunk-svh-msgs, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-urdf, ros-noetic-xacro
Description: ROS1 driver for the Schunk SVH five finger hand

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-schunk-svh-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
